## org.apache.lucene.benchmark.stats
Class MemUsage

    java.lang.Object
      org.apache.lucene.benchmark.stats.MemUsage

    public class MemUsage

extends Object

This class holds a set of memory usage values.

Author:
  Andrzej Bialecki <ab@getopt.org>

Field Summary
`long` `avgFree`
`long` `avgTotal`
`long` `maxFree`
`long` `maxTotal`
`long` `minFree`
`long` `minTotal`

Constructor Summary
`MemUsage()`

Method Summary
`String` `toScaledString(int div, String unit)` Scale down the values by divisor, append the unit string.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### maxFree

    public long maxFree

### minFree

    public long minFree

### avgFree

    public long avgFree

### maxTotal

    public long maxTotal

### minTotal

    public long minTotal

### avgTotal

    public long avgTotal

Constructor Detail

### MemUsage

    public MemUsage()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toScaledString

    public String toScaledString(int div,
                                 String unit)

  Scale down the values by divisor, append the unit string.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.